curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-craigslist-postings-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"area": "sfbay",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-craigslist-postings-search"
payload = {
"area": "sfbay",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({area: 'sfbay', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-craigslist-postings-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "craigslist_postings_search",
"area": "sfbay",
"category": "cta",
"subarea": null,
"keyword": null,
"sort": "newest",
"max_items": 3,
"start_page": 1,
"hide_duplicates": false,
"filters": {},
"partial": false,
"human": "# Craigslist postings search\n\n- **Area:** sfbay\n- **Category:** cta\n- **Sort:** newest\n- **Starting page:** 1\n- **Max items:** 3\n- **Total results on Craigslist:** 16232\n- **Records returned:** 3\n- **Proxy traffic:** 109.2 KB",
"machine": {
"total_items": 3,
"total_results": 16232,
"first_item": {
"id": "p9MEft7XQWNXaMZiaHC1dK",
"posting_id": 7975475802,
"posting_title": "MERCEDES C300 CONVERTIBLE LOW MILE 22000 EXCELLENT CONDITION",
"alias": "concord-mercedes-c300-convertible-low",
"url": "https://www.craigslist.org/view/d/concord-mercedes-c300-convertible-low/p9MEft7XQWNXaMZiaHC1dK",
"price": 17950,
"price_string": "$17,950",
"currency": "USD",
"monthly_payment_string": null,
"created_at": 1790783149,
"category_id": 145,
"category_alias": "cto",
"category": "cars & trucks - by owner",
"location": {
"area_id": 1,
"area_alias": "sfbay",
"subarea_alias": "eby",
"description": "east bay area",
"neighborhood": null,
"lat": 37.9504,
"lon": -122.0263
},
"image": "https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg",
"images": [
"https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg",
"https://images.craigslist.org/00q0q_knMLbLlrtks_0zS0qU_600x450.jpg"
],
"image_count": 9,
"bedrooms": null,
"sqft": null,
"auto_miles": 22000,
"salary": null,
"company": null,
"job_title": null,
"start_date": null,
"end_date": null,
"open_house_dates": [],
"event_dates": []
},
"items": [
{
"id": "p9MEft7XQWNXaMZiaHC1dK",
"posting_id": 7975475802,
"posting_title": "MERCEDES C300 CONVERTIBLE LOW MILE 22000 EXCELLENT CONDITION",
"alias": "concord-mercedes-c300-convertible-low",
"url": "https://www.craigslist.org/view/d/concord-mercedes-c300-convertible-low/p9MEft7XQWNXaMZiaHC1dK",
"price": 17950,
"price_string": "$17,950",
"currency": "USD",
"monthly_payment_string": null,
"created_at": 1790783149,
"category_id": 145,
"category_alias": "cto",
"category": "cars & trucks - by owner",
"location": {
"area_id": 1,
"area_alias": "sfbay",
"subarea_alias": "eby",
"description": "east bay area",
"neighborhood": null,
"lat": 37.9504,
"lon": -122.0263
},
"image": "https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg",
"images": [
"https://images.craigslist.org/00v0v_cCWQniTG8Le_0zS0qU_600x450.jpg",
"https://images.craigslist.org/00q0q_knMLbLlrtks_0zS0qU_600x450.jpg"
],
"image_count": 9,
"bedrooms": null,
"sqft": null,
"auto_miles": 22000,
"salary": null,
"company": null,
"job_title": null,
"start_date": null,
"end_date": null,
"open_house_dates": [],
"event_dates": []
},
{
"id": "hq3dzKdbB1Pp3NXnbSzgkR",
"posting_id": 7975475148,
"posting_title": "2021 MAZDA MIATA GRAND TOURING CONVERTIBLE LOW MILES LOADED",
"alias": "san-francisco-2021-mazda-miata-grand",
"url": "https://www.craigslist.org/view/d/san-francisco-2021-mazda-miata-grand/hq3dzKdbB1Pp3NXnbSzgkR",
"price": 17950,
"price_string": "$17,950",
"currency": "USD",
"monthly_payment_string": null,
"created_at": 1790783095,
"category_id": 145,
"category_alias": "cto",
"category": "cars & trucks - by owner",
"location": {
"area_id": 1,
"area_alias": "sfbay",
"subarea_alias": "eby",
"description": "east bay area",
"neighborhood": null,
"lat": 37.7915,
"lon": -122.4018
},
"image": "https://images.craigslist.org/00707_kJm5PP56wTt_0CI0t2_600x450.jpg",
"images": [
"https://images.craigslist.org/00707_kJm5PP56wTt_0CI0t2_600x450.jpg",
"https://images.craigslist.org/00X0X_fQUm4hvWvng_0CI0t2_600x450.jpg"
],
"image_count": 5,
"bedrooms": null,
"sqft": null,
"auto_miles": 28000,
"salary": null,
"company": null,
"job_title": null,
"start_date": null,
"end_date": null,
"open_house_dates": [],
"event_dates": []
}
],
"proxy_traffic_bytes": 111780
},
"total_points": 3
}Craigslist Postings Search
Search live Craigslist postings in any regional site by keyword, category, area/sub-area/postal/coordinates and 60+ vehicle, motorcycle, boat, housing, job, gig and event filters; returns title, price, date, location, images and category facets. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Area. e.g. sfbay
Search term (optional). e.g. bike
Category (optional). e.g. sss
Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Sub-area. e.g. sfc
Sort by. Options: oldest = Oldest, price_asc = Price: low to high, price_desc = Price: high to low, distance = Distance, relevance = Relevance, upcoming = Upcoming
oldest, price_asc, price_desc, distance, relevance, upcoming Sold by. Options: all = All, owner = Owner, dealer = Dealer
all, owner, dealer Price (min)
Price (max)
Condition
new, like new, excellent, good, fair, salvage Posting language
afrikaans, català, dansk, deutsch, english, español, suomi, français, italiano, nederlands, norsk, português, svenska, filipino, türkçe, 中文, العربية, 日本語, 한국말, русский, tiếng việt Free items only
Search titles only
Has image
Posted today
Hide duplicates
Crypto accepted
Delivery available
Postal code. e.g. 94103
Latitude
Longitude
Radius (miles)
Make and model. e.g. honda civic
Model year (min)
Model year (max)
Odometer (min)
Odometer (max)
Monthly payment (min)
Monthly payment (max)
Transmission
manual, automatic, other Drivetrain
fwd, rwd, 4wd Fuel
gas, diesel, hybrid, electric, other Title status
clean, salvage, rebuilt, parts only, lien, missing Body type
bus, convertible, coupe, hatchback, minivan, offroad, pickup, sedan, truck, SUV, wagon, van, other Paint color
black, blue, brown, green, grey, orange, purple, red, silver, white, yellow, custom Cylinders
3 cylinders, 4 cylinders, 5 cylinders, 6 cylinders, 8 cylinders, 10 cylinders, 12 cylinders, other Engine displacement, cc (min)
Engine displacement, cc (max)
Street legal only
Motor
gas, electric, other Type
adventure, bobber, cafe racer, chopper, cruiser, dirtbike, dual-sport, scooter/moped, sport bike, sport touring, standard, touring, trike, other Length overall (min)
Length overall (max)
Year manufactured (min)
Year manufactured (max)
Propulsion
sail, power, human Boat type
other, commercial boat, houseboat, kayak/canoe/SUP, luxury/classic yacht, personal watercraft (jet ski), pontoon boat, powerboat, rowboat, rowing shell, sailboat, ski boat, small outboard/fishing, trawler Bedrooms (min)
Bedrooms (max)
Bathrooms (min)
Bathrooms (max)
Area, sq ft (min)
Area, sq ft (max)
Move-in availability. Options: all = All dates, within_30_days = Within 30 days, beyond_30_days = Beyond 30 days
all, within_30_days, beyond_30_days Rent period
daily, weekly, monthly Housing type
apartment, condo, cottage/cabin, duplex, flat, house, in-law, loft, townhouse, manufactured, assisted living, land Laundry
w/d in unit, w/d hookups, laundry in bldg, laundry on site, no laundry on site Parking
carport, attached garage, detached garage, off-street parking, street parking, valet parking, no parking Required features
cats ok, dogs ok, furnished, no smoking, wheelchair accessible, air conditioning, EV charging, no application fee, no broker fee Employment type
full-time, part-time, contract, employee's choice Internships only
Non-profit employers only
Telecommuting allowed
Gig pay. Options: all = All, paid = Paid, unpaid = Unpaid
all, paid, unpaid Lost or found
lost, found Event types
food/drink, art/film, career, tech, free, fitness/health, competition, fest/fair, kid friendly, singles, charitable, outdoor, dance, literary, sale, sustainability, music Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.